|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWSServer::KeyboardFilter Class Reference
[QtGui module]

The KeyboardFilter class provides a global keyboard event filter. More...

    #include <QWSServer>

- List of all members, including inherited members

### Public Functions

- virtual ~KeyboardFilter ()
- virtual bool filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) = 0

## Detailed Description

The KeyboardFilter class provides a global keyboard event filter.

The KeyboardFilter class is used to implement a global, low-level filter on key events in the Qt/Embedded server application; this can be used to implement things like APM (advanced power management) suspend from a button without having to filter for it in all applications.

## Member Function Documentation

### KeyboardFilter::~KeyboardFilter () `[virtual]`

Destroys the keyboard filter.

### bool KeyboardFilter::filter ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) `[pure virtual]`

Returns true if the specified key should be filtered; otherwise returns false. A true return value stops the key from being processed any further.

The Unicode value is given in unicode and the key code in keycode. Keyboard modifiers are OR-ed together in modifiers. If isPress is true this is a key press; otherwise it is a key release. If autoRepeat is true this is an auto-repeated key press.

All normal key events should be blocked while in compose mode.